<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
// use App\Http\Controllers\Api\ApiController;
use App\Http\Controllers\ApiController;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});
// Route::get('/all/employee', function (Request $request) {
//     return $request->user();
// });
Route::middleware(['cors'])->group(function () {
Route::post('/images/save', [ApiController::class, 'saveImageDetails']);
Route::post('/images/by/user', [ApiController::class, 'getImageAllByUser']);
Route::post('/images/search', [ApiController::class, 'getImageSearch']);
Route::post('/image/remove', [ApiController::class, 'imageRemoveById']);

Route::post('/user/save', [ApiController::class, 'createUser']);
Route::post('/user/update', [ApiController::class, 'updateUser']);

Route::get('/get/messages', [ApiController::class, 'getAllMessages']);
Route::post('/get/today/messages/by/user', [ApiController::class, 'getMessagesByUserId']);

Route::get('/all/user', [ApiController::class, 'getAllUsers']);
Route::post('/user/login', [ApiController::class, 'userLogin']);

Route::post('/invest/save', [ApiController::class, 'investSave']);
Route::get('/get/today/invest/{USER_ID}', [ApiController::class, 'getTodayInvest']);

Route::post('/setting/save', [ApiController::class, 'settingSave']);
Route::get('/get/setting', [ApiController::class, 'getSetting']);

Route::get('/save/images/{USER_ID}/{TIME}', [ApiController::class, 'saveImages']);

});